Name:          haveged
Version:       1.9.13
Release:       1mamba
Summary:       A simple entropy daemon
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.issihosts.com/haveged/
Source:        https://github.com/jirka-h/haveged.git/v%{version}/haveged-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The haveged project is an attempt to provide an easy-to-use, unpredictable random number generator based upon an adaptation of the HAVEGE algorithm. Haveged was created to remedy low-entropy conditions in the Linux random device that can occur under some workloads, especially on headless servers. Current development of haveged is directed towards improving overall reliability and adaptability while minimizing the barriers to using haveged for other tasks.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%configure \
   --enable-init=service.forking

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
%systemd_post %{name}
:

%preun
%systemd_preun %{name}
:

%postun
/sbin/ldconfig
%systemd_postun_with_restart %{name}

%files
%defattr(-,root,root)
%{_sbindir}/haveged
%{_unitdir}/haveged.service
%{_mandir}/man8/haveged.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libhavege.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/haveged
%{_includedir}/haveged/havege.h
%{_libdir}/libhavege.a
%{_libdir}/libhavege.la
%{_libdir}/libhavege.so
%{_mandir}/man3/libhavege.3*
%doc ChangeLog NEWS README


%changelog
* Tue Jun 30 2020 Automatic Build System <autodist@mambasoft.it> 1.9.13-1mamba
- automatic version update by autodist

* Fri Jun 19 2020 Automatic Build System <autodist@mambasoft.it> 1.9.12-1mamba
- automatic version update by autodist

* Sat Jun 13 2020 Automatic Build System <autodist@mambasoft.it> 1.9.11-1mamba
- automatic version update by autodist

* Fri Jun 12 2020 Automatic Build System <autodist@mambasoft.it> 1.9.10-1mamba
- automatic version update by autodist

* Thu Jun 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.9-2mamba
- fix boot problem by using service.forking instead of service.fedora

* Thu Jun 11 2020 Automatic Build System <autodist@mambasoft.it> 1.9.9-1mamba
- automatic version update by autodist

* Sun Oct 20 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.8-1mamba
- package created using the webbuild interface
